-- 如果新服想走独立配置，请调用TestServerType，并向程序询服务器类型的二进制位值
-- 比如新服的二进制位是3（从二进制低位向高位数，从0开始）
local function TestServerType(servertype, bit)
	local result = (servertype / (2 ^ bit)) % 2
	return result
end

local RewardInfo256 = {
    -- AB结构，A指分组(从1开始），B组档次，B=1表示冠军，B=2表示亚军，B=3表示季军，B=4表示八强
    [11] = {
    -- 奖励物品个数
    Num=6,
    -- 物品itemtypeid
    Item1=3322762, 
    -- 0(非赠) /  1(赠)
    Monopoly1=1,
    -- 个数
    Overlay1=3,
    Item2=730004, 
    Monopoly2=0,
    Overlay2=3,
    Item3=3008058, 
    Monopoly3=0,
    Overlay3=1,
    Item4=3305000, 
    Monopoly4=0,
    Overlay4=5,
    Item5=1088000, 
    Monopoly5=0,
    Overlay5=3,
    Item6=3310867, 
    Monopoly6=0,
    Overlay6=1,
    },
    
    [12] = {
    -- 奖励物品个数
    Num=5,
    -- 物品itemtypeid
    Item1=3322761, 
    -- 0(非赠) /  1(赠)
    Monopoly1=1,
    -- 个数
    Overlay1=3,
    Item2=730003, 
    Monopoly2=0,
    Overlay2=2,
    Item3=3008058, 
    Monopoly3=0,
    Overlay3=1,
    Item4=3305000, 
    Monopoly4=0,
    Overlay4=3,
    Item5=1088000, 
    Monopoly5=0,
    Overlay5=1,
    },
    
    [13] = {
    -- 奖励物品个数
    Num=4,
    -- 物品itemtypeid
    Item1=3322760, 
    -- 0(非赠) /  1(赠)
    Monopoly1=1,
    -- 个数
    Overlay1=3,
    Item2=730003, 
    Monopoly2=0,
    Overlay2=1,
    Item3=3008058, 
    Monopoly3=0,
    Overlay3=1,
    Item4=3305000, 
    Monopoly4=0,
    Overlay4=2,
    },
    
    [14] = {
    -- 奖励物品个数
    Num=3,
    -- 物品itemtypeid
    Item1=730002, 
    -- 0(非赠) /  1(赠)
    Monopoly1=0,
    -- 个数
    Overlay1=3,
    Item2=3008058, 
    Monopoly2=0,
    Overlay2=1,
    Item3=3305000, 
    Monopoly3=0,
    Overlay3=2,
    },
    
    -- [21] = {
    -- -- 奖励物品个数
    -- Num=5,
    -- -- 物品itemtypeid
    -- Item1=3322762, 
    -- -- 0(非赠) /  1(赠)
    -- Monopoly1=1,
    -- -- 个数
    -- Overlay1=1,
    -- Item2=3337179, 
    -- Monopoly2=0,
    -- Overlay2=2,
    -- Item3=3008057, 
    -- Monopoly3=0,
    -- Overlay3=1,
    -- Item4=3305000, 
    -- Monopoly4=0,
    -- Overlay4=3,
    -- Item5=1088000, 
    -- Monopoly5=0,
    -- Overlay5=1,
    -- },
    
    -- [22] = {
    -- -- 奖励物品个数
    -- Num=4,
    -- -- 物品itemtypeid
    -- Item1=3322761, 
    -- -- 0(非赠) /  1(赠)
    -- Monopoly1=1,
    -- -- 个数
    -- Overlay1=1,
    -- Item2=3337178, 
    -- Monopoly2=1,
    -- Overlay2=2,
    -- Item3=3008057, 
    -- Monopoly3=0,
    -- Overlay3=1,
    -- Item4=3305000, 
    -- Monopoly4=0,
    -- Overlay4=2,
    -- },
    
    -- [23] = {
    -- -- 奖励物品个数
    -- Num=4,
    -- -- 物品itemtypeid
    -- Item1=3322760, 
    -- -- 0(非赠) /  1(赠)
    -- Monopoly1=1,
    -- -- 个数
    -- Overlay1=1,
    -- Item2=3337178, 
    -- Monopoly2=1,
    -- Overlay2=1,
    -- Item3=3008057, 
    -- Monopoly3=0,
    -- Overlay3=1,
    -- Item4=3305000, 
    -- Monopoly4=0,
    -- Overlay4=2,
    -- },
    
    -- [24] = {
    -- Num=3,
    -- Item1=3337177, 
    -- Monopoly1=1,
    -- Overlay1=2,
    -- Item2=3008057, 
    -- Monopoly2=0,
    -- Overlay2=1,
    -- Item3=3305000, 
    -- Monopoly3=0,
    -- Overlay3=2,
    -- },
    
    
    -- [31] = {
    -- Num=5,
    -- Item1=3322762, 
    -- Monopoly1=1,
    -- Overlay1=1,
    -- Item2=3337179, 
    -- Monopoly2=0,
    -- Overlay2=3,
    -- Item3=3008057, 
    -- Monopoly3=0,
    -- Overlay3=1,
    -- Item4=3305000, 
    -- Monopoly4=0,
    -- Overlay4=3,
    -- Item5=1088000, 
    -- Monopoly5=0,
    -- Overlay5=1,
    -- },
    
    -- [32] = {
    -- Num=4,
    -- Item1=3322761, 
    -- Monopoly1=1,
    -- Overlay1=1,
    -- Item2=3337178, 
    -- Monopoly2=1,
    -- Overlay2=2,
    -- Item3=3008057, 
    -- Monopoly3=0,
    -- Overlay3=1,
    -- Item4=3305000, 
    -- Monopoly4=0,
    -- Overlay4=2,
    -- },
    
    -- [33] = {
    -- Num=4,
    -- Item1=3322760, 
    -- Monopoly1=1,
    -- Overlay1=1,
    -- Item2=3337178, 
    -- Monopoly2=1,
    -- Overlay2=1,
    -- Item3=3008057, 
    -- Monopoly3=0,
    -- Overlay3=1,
    -- Item4=3305000, 
    -- Monopoly4=0,
    -- Overlay4=2,
    -- },
    
    -- [34] = {
    -- Num=3,
    -- Item1=3337177, 
    -- Monopoly1=1,
    -- Overlay1=2,
    -- Item2=3008057, 
    -- Monopoly2=0,
    -- Overlay2=1,
    -- Item3=3305000, 
    -- Monopoly3=0,
    -- Overlay3=2,
    -- },
    
    -- [41] = {
    -- Num=7,
    -- Item1=3322762, 
    -- Monopoly1=1,
    -- Overlay1=3,
    -- Item2=3337179, 
    -- Monopoly2=0,
    -- Overlay2=3,
    -- Item3=3008058, 
    -- Monopoly3=0,
    -- Overlay3=1,
    -- Item4=3305000, 
    -- Monopoly4=0,
    -- Overlay4=5,
    -- Item5=1088000,
    -- Monopoly5=0,
    -- Overlay5=3,
    -- Item6=720049,
    -- Monopoly6=0,
    -- Overlay6=1,
    -- Item7=4060001,
    -- Monopoly7=0,
    -- Overlay7=100,
    -- },
    
    -- [42] = {
    -- Num=6,
    -- Item1=3322761, 
    -- Monopoly1=1,
    -- Overlay1=3,
    -- Item2=3337178, 
    -- Monopoly2=1,
    -- Overlay2=2,
    -- Item3=3008058, 
    -- Monopoly3=0,
    -- Overlay3=1,
    -- Item4=3305000, 
    -- Monopoly4=0,
    -- Overlay4=3,
    -- Item5=4060001,
    -- Monopoly5=0,
    -- Overlay5=50,
    -- Item6=1088000,
    -- Monopoly6=0,
    -- Overlay6=1,
    -- },
    
    -- [43] = {
    -- Num=5,
    -- Item1=3322760, 
    -- Monopoly1=1,
    -- Overlay1=3,
    -- Item2=3337178, 
    -- Monopoly2=1,
    -- Overlay2=1,
    -- Item3=3008058, 
    -- Monopoly3=0,
    -- Overlay3=1,
    -- Item4=3305000, 
    -- Monopoly4=0,
    -- Overlay4=2,
    -- Item5=723342,
    -- Monopoly5=1,
    -- Overlay5=1,
    -- },
    
    -- [44] = {
    -- Num=4,
    -- Item1=3337177, 
    -- Monopoly1=1,
    -- Overlay1=3,
    -- Item2=3008058, 
    -- Monopoly2=0,
    -- Overlay2=1,
    -- Item3=3305000, 
    -- Monopoly3=0,
    -- Overlay3=2,
    -- Item4=723341, 
    -- Monopoly4=1,
    -- Overlay4=10,
    -- },
}



local RewardInfo = {
-- AB结构，A指分组(从1开始），B组档次，B=1表示冠军，B=2表示亚军，B=3表示季军，B=4表示八强
[11] = {
-- 奖励物品个数
Num=4,
-- 物品itemtypeid
Item1=3306997, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
Item2=3310761, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=10,
Item4=3314788, 
Monopoly4=0,
Overlay4=215,
},

[12] = {
Num=3,
-- 物品itemtypeid
Item1=3306997, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
Item2=3307068, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=8,
},

[13] = {
Num=3,
-- 物品itemtypeid
Item1=3306997, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
Item2=3306979, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=5,
},

[14] = {
Num=3,
-- 物品itemtypeid
Item1=3306997, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
Item2=3306978, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=3,
},

[21] = {
Num=4,
-- 物品itemtypeid
Item1=3306997, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
Item2=3310761, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=10,
Item4=3314788, 
Monopoly4=0,
Overlay4=215,
},

[22] = {
Num=3,
-- 物品itemtypeid
Item1=3306997, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
Item2=3307068, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=8,
},

[23] = {
Num=3,
-- 物品itemtypeid
Item1=3306997, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
Item2=3306979, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=5,
},

[24] = {
Num=3,
Item1=3306997, 
Monopoly1=0,
Overlay1=1,
Item2=3306978, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=3,
},

[31] = {
Num=4,
Item1=3306997, 
Monopoly1=0,
Overlay1=1,
Item2=3310761, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=10,
Item4=3314788, 
Monopoly4=0,
Overlay4=215,
},

[32] = {
Num=3,
Item1=3306997, 
Monopoly1=0,
Overlay1=1,
Item2=3307068, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=8,
},

[33] = {
Num=3,
Item1=3306997, 
Monopoly1=0,
Overlay1=1,
Item2=3306979, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=5,
},

[34] = {
Num=3,
Item1=3306997, 
Monopoly1=0,
Overlay1=1,
Item2=3306978, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=3,
},

[41] = {
Num=5,
Item1=720049, 
Monopoly1=0,
Overlay1=1,
Item2=3004247, 
Monopoly2=0,
Overlay2=1,
Item3=3306981, 
Monopoly3=1,
Overlay3=1,
Item4=3311759, 
Monopoly4=1,
Overlay4=3,
Item5=3314788, 
Monopoly5=0,
Overlay5=645,
},

[42] = {
Num=4,
Item1=3004247, 
Monopoly1=0,
Overlay1=1,
Item2=3306980, 
Monopoly2=0,
Overlay2=1,
Item3=3311759, 
Monopoly3=1,
Overlay3=2,
Item4=3314788, 
Monopoly4=0,
Overlay4=215,
},

[43] = {
Num=4,
Item1=729122, 
Monopoly1=0,
Overlay1=1,
Item2=3300612, 
Monopoly2=0,
Overlay2=1,
Item3=3311759, 
Monopoly3=1,
Overlay3=2,
Item4=3314788, 
Monopoly4=0,
Overlay4=75,
},

[44] = {
Num=4,
Item1=729122, 
Monopoly1=0,
Overlay1=1,
Item2=3310761, 
Monopoly2=0,
Overlay2=1,
Item3=3311759, 
Monopoly3=1,
Overlay3=1,
Item4=3314788, 
Monopoly4=0,
Overlay4=25,
},
}

-- 新服独立一套配置
local RewardInfo3 = {
[11] = {
-- 奖励物品个数
Num=4,
-- 物品itemtypeid
Item1=3306997, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
Item2=3310761, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=10,
Item4=3314788, 
Monopoly4=0,
Overlay4=215,
},

[12] = {
Num=3,
-- 物品itemtypeid
Item1=3306997, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
Item2=3307068, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=8,
},

[13] = {
Num=3,
-- 物品itemtypeid
Item1=3306997, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
Item2=3306979, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=5,
},

[14] = {
Num=3,
-- 物品itemtypeid
Item1=3306997, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
Item2=3306978, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=3,
},

[21] = {
Num=4,
-- 物品itemtypeid
Item1=3306997, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
Item2=3310761, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=10,
Item4=3314788, 
Monopoly4=0,
Overlay4=215,
},

[22] = {
Num=3,
-- 物品itemtypeid
Item1=3306997, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
Item2=3307068, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=8,
},

[23] = {
Num=3,
-- 物品itemtypeid
Item1=3306997, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
Item2=3306979, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=5,
},

[24] = {
Num=3,
Item1=3306997, 
Monopoly1=0,
Overlay1=1,
Item2=3306978, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=3,
},

[31] = {
Num=4,
Item1=3306997, 
Monopoly1=0,
Overlay1=1,
Item2=3310761, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=10,
Item4=3314788, 
Monopoly4=0,
Overlay4=215,
},

[32] = {
Num=3,
Item1=3306997, 
Monopoly1=0,
Overlay1=1,
Item2=3307068, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=8,
},

[33] = {
Num=3,
Item1=3306997, 
Monopoly1=0,
Overlay1=1,
Item2=3306979, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=5,
},

[34] = {
Num=3,
Item1=3306997, 
Monopoly1=0,
Overlay1=1,
Item2=3306978, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=3,
},

[41] = {
Num=5,
Item1=720049, 
Monopoly1=0,
Overlay1=1,
Item2=3004247, 
Monopoly2=0,
Overlay2=1,
Item3=3306981, 
Monopoly3=1,
Overlay3=1,
Item4=3311759, 
Monopoly4=1,
Overlay4=3,
Item5=3314788, 
Monopoly5=0,
Overlay5=645,
},

[42] = {
Num=4,
Item1=3004247, 
Monopoly1=0,
Overlay1=1,
Item2=3306980, 
Monopoly2=0,
Overlay2=1,
Item3=3311759, 
Monopoly3=1,
Overlay3=2,
Item4=3314788, 
Monopoly4=0,
Overlay4=215,
},

[43] = {
Num=4,
Item1=729122, 
Monopoly1=0,
Overlay1=1,
Item2=3300612, 
Monopoly2=0,
Overlay2=1,
Item3=3311759, 
Monopoly3=1,
Overlay3=2,
Item4=3314788, 
Monopoly4=0,
Overlay4=75,
},

[44] = {
Num=4,
Item1=729122, 
Monopoly1=0,
Overlay1=1,
Item2=3310761, 
Monopoly2=0,
Overlay2=1,
Item3=3311759, 
Monopoly3=1,
Overlay3=1,
Item4=3314788, 
Monopoly4=0,
Overlay4=25,
},
}

-- 激情服独立一套配置
local RewardInfo4 = {
-- AB结构，A指分组(从1开始），B组档次，B=1表示冠军，B=2表示亚军，B=3表示季军，B=4表示八强
[11] = {
-- 奖励物品个数
Num=3,
-- 物品itemtypeid
Item1=3306997, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
Item2=3310761, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=10,
},

[12] = {
Num=3,
-- 物品itemtypeid
Item1=3306997, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
Item2=3307068, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=8,
},

[13] = {
Num=3,
-- 物品itemtypeid
Item1=3306997, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
Item2=3306979, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=5,
},

[14] = {
Num=3,
-- 物品itemtypeid
Item1=3306997, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
Item2=3306978, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=3,
},

[21] = {
Num=3,
-- 物品itemtypeid
Item1=3306997, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
Item2=3310761, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=10,
},

[22] = {
Num=3,
-- 物品itemtypeid
Item1=3306997, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
Item2=3307068, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=8,
},

[23] = {
Num=3,
-- 物品itemtypeid
Item1=3306997, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
Item2=3306979, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=5,
},

[24] = {
Num=3,
Item1=3306997, 
Monopoly1=0,
Overlay1=1,
Item2=3306978, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=3,
},

[31] = {
Num=3,
Item1=3306997, 
Monopoly1=0,
Overlay1=1,
Item2=3310761, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=10,
},

[32] = {
Num=3,
Item1=3306997, 
Monopoly1=0,
Overlay1=1,
Item2=3307068, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=8,
},

[33] = {
Num=3,
Item1=3306997, 
Monopoly1=0,
Overlay1=1,
Item2=3306979, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=5,
},

[34] = {
Num=3,
Item1=3306997, 
Monopoly1=0,
Overlay1=1,
Item2=3306978, 
Monopoly2=0,
Overlay2=1,
Item3=3003124, 
Monopoly3=1,
Overlay3=3,
},

[41] = {
Num=5,
Item1=720049, 
Monopoly1=0,
Overlay1=1,
Item2=3004247, 
Monopoly2=0,
Overlay2=1,
Item3=3306981, 
Monopoly3=1,
Overlay3=1,
Item4=3311759, 
Monopoly4=1,
Overlay4=3,
Item5=3314788, 
Monopoly5=0,
Overlay5=645,
},

[42] = {
Num=3,
Item1=3004247, 
Monopoly1=0,
Overlay1=1,
Item2=3306980, 
Monopoly2=0,
Overlay2=1,
Item3=3311759, 
Monopoly3=1,
Overlay3=2,
},

[43] = {
Num=3,
Item1=729122, 
Monopoly1=0,
Overlay1=1,
Item2=3300612, 
Monopoly2=0,
Overlay2=1,
Item3=3311759, 
Monopoly3=1,
Overlay3=2,
},

[44] = {
Num=3,
Item1=729122, 
Monopoly1=0,
Overlay1=1,
Item2=3310761, 
Monopoly2=0,
Overlay2=1,
Item3=3311759, 
Monopoly3=1,
Overlay3=1,
},
}

local CrossRewardInfo = {
-- AB结构，A指分组，B组档次，B=0表示冠军，B=1表示亚军，B=2表示季军，B=3表示八强
[21] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305126, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[22] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305127, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[23] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305128, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[24] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305129, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[31] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305122, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[32] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305123, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[33] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305124, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[34] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305125, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[41] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305118, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[42] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305119, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[43] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305120, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[44] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305121, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},


-- [41] = {
-- Num=7,
-- Item1=3321081, 
-- Monopoly1=0,
-- Overlay1=1,
-- Item2=3311744, 
-- Monopoly2=0,
-- Overlay2=2,
-- Item3=3321085, 
-- Monopoly3=0,
-- Overlay3=2,
-- Item4=3313232, 
-- Monopoly4=0,
-- Overlay4=2,
-- Item5=1088000,
-- Monopoly5=0,
-- Overlay5=2,
-- Item6=1088000,
-- Monopoly6=0,
-- Overlay6=2,
-- Item7=1088000,
-- Monopoly7=0,
-- Overlay7=2,

-- },

-- [42] = {
-- Num=7,
-- Item1=3321081, 
-- Monopoly1=1,
-- Overlay1=2,
-- Item2=3311744, 
-- Monopoly2=1,
-- Overlay2=1,
-- Item3=3321085, 
-- Monopoly3=1,
-- Overlay3=1,
-- Item4=3313232, 
-- Monopoly4=1,
-- Overlay4=1,
-- Item5=1088000,
-- Monopoly5=1,
-- Overlay5=1,
-- Item6=1088000,
-- Monopoly6=0,
-- Overlay6=2,
-- Item7=1088000,
-- Monopoly7=0,
-- Overlay7=2,

-- },

-- [43] = {
-- Num=7,
-- Item1=3321081, 
-- Monopoly1=0,
-- Overlay1=1,
-- Item2=3311744, 
-- Monopoly2=0,
-- Overlay2=2,
-- Item3=3321085, 
-- Monopoly3=0,
-- Overlay3=3,
-- Item4=3313232, 
-- Monopoly4=0,
-- Overlay4=4,
-- Item5=1088000,
-- Monopoly5=0,
-- Overlay5=5,
-- Item6=1088000,
-- Monopoly6=0,
-- Overlay6=2,
-- Item7=1088000,
-- Monopoly7=0,
-- Overlay7=2,

-- },

-- [44] = {
-- Num=7,
-- Item1=3321081, 
-- Monopoly1=0,
-- Overlay1=1,
-- Item2=3311744, 
-- Monopoly2=0,
-- Overlay2=2,
-- Item3=3321085, 
-- Monopoly3=0,
-- Overlay3=3,
-- Item4=3313232, 
-- Monopoly4=0,
-- Overlay4=4,
-- Item5=1088000,
-- Monopoly5=0,
-- Overlay5=5,
-- Item6=1088000,
-- Monopoly6=0,
-- Overlay6=2,
-- Item7=1088000,
-- Monopoly7=0,
-- Overlay7=2,

-- },
}

-- 老兵服跨服配置
local CrossRewardInfo256 = {
-- AB结构，A指分组，B组档次，B=0表示冠军，B=1表示亚军，B=2表示季军，B=3表示八强
[21] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305126, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[22] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305127, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[23] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305128, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[24] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305129, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[31] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305122, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[32] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305123, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[33] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305124, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[34] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305125, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[41] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305118, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[42] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305119, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[43] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305120, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
[44] = {
-- 奖励物品个数
Num=1,
-- 物品itemtypeid
Item1=3305121, 
-- 0(非赠) /  1(赠)
Monopoly1=0,
-- 个数
Overlay1=1,
},
}


local function GetInfo(title, key, servertype)
    local info = nil
--  比如新服想走独立配置，可用TestServerType(servertype, 3)
    if (UserData_IsPassionServer() == true) then
	   info = RewardInfo4[title]
	elseif (UserData_IsOldSoldierServer() == true) then
        info = RewardInfo256[title]
	elseif (UserData_IsCoinsServer() == true) then
        info = RewardInfo256[title]
    elseif (UserData_IsNewServer() == true) then
       info = RewardInfo3[title]
	else
       info = RewardInfo[title]
    end
    local keyValue = nil
    
    if (info) then
       keyValue = info[key]
    end

    if (keyValue) then
        return keyValue
    else 
        return nil
    end
end

local function GetCrossInfo(title, key)
    print("title="..title,key)
    local info = nil
    if (UserData_IsOldSoldierServer() == true) then
        info = CrossRewardInfo256[title]
	elseif (UserData_IsCoinsServer() == true) then
        info = CrossRewardInfo256[title]
    else 
        info = CrossRewardInfo[title]
    end

    local keyValue = nil
    
    if (info) then
       keyValue = info[key]
    end

    if (keyValue) then
        return keyValue
    else 
        return nil
    end
end

local OpenInfo = {
-- 组号（从1开始）
[1] = {
-- 是否开启
Open=1,
-- 属性限制规则id，索引自cq_attribute_limit表第1列
AttrLimitRule=1,
-- 战斗力>=BattleLevLower
BattleLevLower=0,
-- 战斗力<=BattleLevUpper
BattleLevUpper=300,

},

[2] = {
Open=1,
AttrLimitRule=2,
BattleLevLower=301,
BattleLevUpper=375,

},

[3] = {
Open=1,
AttrLimitRule=3,
BattleLevLower=376,
BattleLevUpper=450,

},

[4] = {
Open=1,
-- 最高档不想限制属性，可以配0
AttrLimitRule=0,
BattleLevLower=450,
-- 最高档Upper配大一点
BattleLevUpper=999999999,

},
}

-- 新服独立一套配置
local OpenInfo3 = {
-- 组号（从1开始）
[1] = {
-- 是否开启
Open=1,
-- 属性限制规则id，索引自cq_attribute_limit表第1列
AttrLimitRule=1,
-- 战斗力>=BattleLevLower
BattleLevLower=0,
-- 战斗力<=BattleLevUpper
BattleLevUpper=300,

},

[2] = {
Open=1,
AttrLimitRule=2,
BattleLevLower=301,
BattleLevUpper=375,

},

[3] = {
Open=1,
AttrLimitRule=3,
BattleLevLower=375,
BattleLevUpper=450,

},

[4] = {
Open=1,
-- 最高档不想限制属性，可以配0
AttrLimitRule=0,
BattleLevLower=451,
-- 最高档Upper配大一点
BattleLevUpper=999999999,

},
}

-- 激情服独立一套配置
local OpenInfo4 = {
-- 组号（从1开始）
[1] = {
-- 是否开启
Open=1,
-- 属性限制规则id，索引自cq_attribute_limit表第1列
AttrLimitRule=1,
-- 战斗力>=BattleLevLower
BattleLevLower=0,
-- 战斗力<=BattleLevUpper
BattleLevUpper=300,

},

[2] = {
Open=1,
AttrLimitRule=2,
BattleLevLower=301,
BattleLevUpper=375,

},

[3] = {
Open=1,
AttrLimitRule=3,
BattleLevLower=376,
BattleLevUpper=450,

},

[4] = {
Open=1,
-- 最高档不想限制属性，可以配0
AttrLimitRule=0,
BattleLevLower=451,
-- 最高档Upper配大一点
BattleLevUpper=999999999,

},
}


local CrossOpenInfo = {
-- 组号（从1开始）
[1] = {
-- 是否开启
Open=1,
-- 属性限制规则id，索引自cq_attribute_limit表第1列
AttrLimitRule=1,
-- 战斗力>=BattleLevLower
BattleLevLower=0,
-- 战斗力<=BattleLevUpper
BattleLevUpper=300,

},

[2] = {
Open=1,
AttrLimitRule=2,
BattleLevLower=301,
BattleLevUpper=375,

},

[3] = {
Open=1,
AttrLimitRule=3,
BattleLevLower=375,
BattleLevUpper=450,

},

[4] = {
Open=1,
-- 最高档不想限制属性，可以配0
AttrLimitRule=0,
BattleLevLower=451,
-- 最高档Upper配大一点
BattleLevUpper=999999999,

},
}

-- 老兵服配置
local OpenInfo256 = {
    -- 组号（从1开始）
    [1] = {
        -- 是否开启
        Open=1,
        -- 属性限制规则id，索引自cq_attribute_limit表第1列
        AttrLimitRule=0,
        -- 战斗力>=BattleLevLower
        BattleLevLower=300,
        -- 战斗力<=BattleLevUpper
        BattleLevUpper=999999999,
        -- 按钮战力文本
        Title="STR_OLD_SOLDIER_ELITE_PK_GROUP_1"
    },
    -- [2] = {
        -- Open=0,
        -- AttrLimitRule=0,
        -- BattleLevLower=302,
        -- BattleLevUpper=375,
        -- Title="STR_OLD_SOLDIER_ELITE_PK_GROUP_2"
    -- },
    -- [3] = {
        -- Open=0,
        -- -- 最高档不想限制属性，可以配0
        -- AttrLimitRule=0,
        -- BattleLevLower=375,
        -- -- 最高档Upper配大一点
        -- BattleLevUpper=999999999,
        -- Title="STR_OLD_SOLDIER_ELITE_PK_GROUP_3"
    -- },
}

-- 老兵服跨服配置
local CrossOpenInfo256 = {
    -- 组号（从1开始）
    [1] = {
        -- 是否开启
        Open=0,
        -- 属性限制规则id，索引自cq_attribute_limit表第1列
        AttrLimitRule=0,
        -- 战斗力>=BattleLevLower
        BattleLevLower=0,
        -- 战斗力<=BattleLevUpper
        BattleLevUpper=300,
        Title="STR_OLD_SOLDIER_CROSS_ELITE_PK_GROUP_1"
    },
    [2] = {
        Open=1,
        -- 最高档不想限制属性，可以配0
        AttrLimitRule=0,
        BattleLevLower=301,
        -- 最高档Upper配大一点
        BattleLevUpper=999999999,
        Title="STR_OLD_SOLDIER_CROSS_ELITE_PK_GROUP_2"
    },
}

-- 获取分组信息
local function GetGroupInfo(isCross, key)
    if key == "count" and (UserData_IsOldSoldierServer() or UserData_IsCoinsServer()) then
        if isCross then
            return #CrossOpenInfo256
        else
            return #OpenInfo256
        end
    end

    return 4
end



local function GetOpenInfo(title, key, default, servertype)
    local info = nil
--  比如新服想走独立配置，可用TestServerType(servertype, 3)
    if (UserData_IsPassionServer() == true) then
	   info = OpenInfo4[title]
	elseif (UserData_IsOldSoldierServer() == true) then
       info = OpenInfo256[title]
	elseif (UserData_IsCoinsServer() == true) then
       info = OpenInfo256[title]
    elseif (UserData_IsNewServer() == true) then
       info = OpenInfo3[title]
	else
       info = OpenInfo[title]
    end
	
    local keyValue = nil
    
    if (info) then
       keyValue = info[key]
    end

    if (keyValue) then
        return keyValue
    else 
        if key == "Title" then
            return "STR_GANG_TIPS_JINGYINNEW"..math.floor(title)
        end
        return default
    end
end

local function GetCrossOpenInfo(title, key, default)
    local info = nil
    
    if (UserData_IsOldSoldierServer() == true) then
        info = CrossOpenInfo256[title]
	elseif (UserData_IsCoinsServer() == true) then
        info = CrossOpenInfo256[title]
    else
        info = CrossOpenInfo[title]
    end

    local keyValue = nil
    
    if (info) then
       keyValue = info[key]
    end

    if (keyValue) then
        return keyValue
    else 
        return default
    end
end

local function Unload()
    RewardInfo = nil
    CrossRewardInfo = nil
    CrossRewardInfo256 = nil
    OpenInfo = nil
    CrossOpenInfo = nil
end

-- 返回值
--	本服精英PK赛报名NPC寻路信息(地图id,x格子坐标,y格子坐标,npc的id,半径)
local function GetEntrance(servertype)
--	比如新服想走独立配置，可用TestServerType(servertype, 3)
-- 激情服
	if (UserData_IsPassionServer() == true) then
		return "10364,287,141,7879,4"
	elseif (UserData_IsOldSoldierServer() == true) then
		return "10364,287,141,7879,4"
	elseif (UserData_IsCoinsServer() == true) then
		return "10364,287,141,7879,4"
	elseif (UserData_IsNewServer() == true) then
		return "1002,438,268,7879,4"
	else
		return "1002,438,268,7879,4"
	end 
end

-- 返回值
--	跨服精英PK赛报名NPC寻路信息(地图id,x格子坐标,y格子坐标,npc的id,半径)
local function GetCrossEntrance(servertype)
--	比如新服想走独立配置，可用TestServerType(servertype, 3)
-- 激情服
	if (UserData_IsPassionServer() == true) then
		return "1036,231,156,19424,4"
	elseif (UserData_IsOldSoldierServer() == true) then
		return "10364,287,141,7879,4"
	elseif (UserData_IsCoinsServer() == true) then
		return "10364,287,141,7879,4"
	elseif (UserData_IsNewServer() == true) then
		return "1002,331,452,19424,4"
	else
		return "1002,331,452,19424,4"
	end
end

local ElitePKReward = {
    GetGroupInfo = GetGroupInfo,
	TestServerType = TestServerType,
    GetEntrance = GetEntrance,
    GetCrossEntrance = GetCrossEntrance,
    GetOpenInfo = GetOpenInfo,
    GetCrossOpenInfo = GetCrossOpenInfo,
    GetInfo = GetInfo,
    GetCrossInfo = GetCrossInfo,
    Unload = Unload,
}

-- global
ElitePKReward_GetGroupInfo= ElitePKReward.GetGroupInfo
ElitePKReward_GetEntrance = ElitePKReward.GetEntrance
ElitePKReward_GetCrossEntrance = ElitePKReward.GetCrossEntrance
ElitePKReward_GetOpenInfo = ElitePKReward.GetOpenInfo
ElitePKReward_GetCrossOpenInfo = ElitePKReward.GetCrossOpenInfo
ElitePKReward_GetInfo = ElitePKReward.GetInfo
ElitePKReward_GetCrossInfo = ElitePKReward.GetCrossInfo
ElitePKReward_Unload = ElitePKReward.Unload

return ElitePKReward
